# Uses of Interface
org.springframework.context.MessageSourceResolvable

Packages that use MessageSourceResolvable
Package
Description
org.springframework.context
This package builds on the beans package to add support for message sources and for the Observer design pattern, and the ability for application objects to obtain resources using a consistent API.
org.springframework.context.support
Classes supporting the org.springframework.context package, such as abstract base classes for ApplicationContext implementations and a MessageSource implementation.
org.springframework.validation
Provides data binding and validation functionality, for usage in business and/or UI layers.
org.springframework.validation.beanvalidation
Support classes for integrating a JSR-303 Bean Validation provider (such as Hibernate Validator) into a Spring ApplicationContext and in particular with Spring's data binding and validation APIs.
org.springframework.validation.method
Abstractions and support classes for method validation, independent of the underlying validation library.

## Uses of MessageSourceResolvable in org.springframework.context

Methods in org.springframework.context with parameters of type MessageSourceResolvable
Modifier and Type
Method
Description
`String`
MessageSource.`getMessage(MessageSourceResolvable resolvable, Locale locale)`
Try to resolve the message using all the attributes contained within the `MessageSourceResolvable` argument that was passed in.

## Uses of MessageSourceResolvable in org.springframework.context.support

Classes in org.springframework.context.support that implement MessageSourceResolvable
Modifier and Type
Class
Description
`class`
`DefaultMessageSourceResolvable`
Spring's default implementation of the `MessageSourceResolvable` interface.
Methods in org.springframework.context.support with parameters of type MessageSourceResolvable
Modifier and Type
Method
Description
`protected String`
AbstractMessageSource.`getDefaultMessage(MessageSourceResolvable resolvable, Locale locale)`
Get a default message for the given `MessageSourceResolvable`.
`String`
AbstractApplicationContext.`getMessage(MessageSourceResolvable resolvable, Locale locale)`
`final String`
AbstractMessageSource.`getMessage(MessageSourceResolvable resolvable, Locale locale)`
`String`
DelegatingMessageSource.`getMessage(MessageSourceResolvable resolvable, Locale locale)`
`String`
MessageSourceAccessor.`getMessage(MessageSourceResolvable resolvable)`
Retrieve the given MessageSourceResolvable (for example, an ObjectError instance) in the default Locale.
`String`
MessageSourceAccessor.`getMessage(MessageSourceResolvable resolvable, Locale locale)`
Retrieve the given MessageSourceResolvable (for example, an ObjectError instance) in the given Locale.
Constructors in org.springframework.context.support with parameters of type MessageSourceResolvable
Modifier
Constructor
Description
``
`DefaultMessageSourceResolvable(MessageSourceResolvable resolvable)`
Copy constructor: Create a new instance from another resolvable.

## Uses of MessageSourceResolvable in org.springframework.validation

Classes in org.springframework.validation that implement MessageSourceResolvable
Modifier and Type
Class
Description
`class`
`FieldError`
Encapsulates a field error, that is, a reason for rejecting a specific field value.
`class`
`ObjectError`
Encapsulates an object error, that is, a global reason for rejecting an object.

## Uses of MessageSourceResolvable in org.springframework.validation.beanvalidation

Methods in org.springframework.validation.beanvalidation that return MessageSourceResolvable
Modifier and Type
Method
Description
`protected MessageSourceResolvable`
SpringValidatorAdapter.`getResolvableField(String objectName, String field)`
Build a resolvable wrapper for the specified field, allowing to resolve the field's name in a `MessageSource`.

## Uses of MessageSourceResolvable in org.springframework.validation.method

Methods in org.springframework.validation.method that return types with arguments of type MessageSourceResolvable
Modifier and Type
Method
Description
`default List<? extends MessageSourceResolvable>`
MethodValidationResult.`getAllErrors()`
Return a single list with all errors from all validation results.
`List<MessageSourceResolvable>`
MethodValidationException.`getCrossParameterValidationResults()`
`List<MessageSourceResolvable>`
MethodValidationResult.`getCrossParameterValidationResults()`
Return errors from cross-parameter validation.
`List<MessageSourceResolvable>`
ParameterValidationResult.`getResolvableErrors()`
List of `MessageSourceResolvable` representations adapted from the validation errors of the validation library.
Methods in org.springframework.validation.method with parameters of type MessageSourceResolvable
Modifier and Type
Method
Description
`<T> T`
ParameterValidationResult.`unwrap(MessageSourceResolvable error, Class<T> sourceType)`
Unwrap the source behind the given error.
Constructor parameters in org.springframework.validation.method with type arguments of type MessageSourceResolvable
Modifier
Constructor
Description
``
`ParameterValidationResult(org.springframework.core.MethodParameter param, Object arg, Collection<? extends MessageSourceResolvable> errors)`
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of `ParameterValidationResult(MethodParameter, Object, Collection, Object, Integer, Object, BiFunction)`
``
`ParameterValidationResult(org.springframework.core.MethodParameter param, Object arg, Collection<? extends MessageSourceResolvable> errors, Object container, Integer index, Object key)`
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of `ParameterValidationResult(MethodParameter, Object, Collection, Object, Integer, Object, BiFunction)`
``
`ParameterValidationResult(org.springframework.core.MethodParameter param, Object arg, Collection<? extends MessageSourceResolvable> errors, Object container, Integer index, Object key, BiFunction<MessageSourceResolvable,Class<?>,Object> sourceLookup)`
Create a `ParameterValidationResult`.
``
`ParameterValidationResult(org.springframework.core.MethodParameter param, Object arg, Collection<? extends MessageSourceResolvable> errors, Object container, Integer index, Object key, BiFunction<MessageSourceResolvable,Class<?>,Object> sourceLookup)`
Create a `ParameterValidationResult`.